MyGUI::MainSkin Class Reference

`#include <MyGUI_MainSkin.h>`

Inheritance diagram for MyGUI::MainSkin:
[legend]

## Public Types

typedef RTTIBase | Base
typedef MainSkin | RTTIBase
Public Types inherited from MyGUI::SubSkin
typedef RTTIBase | Base
typedef SubSkin | RTTIBase
Public Types inherited from MyGUI::ISubWidgetRect
typedef RTTIBase | Base
typedef ISubWidgetRect | RTTIBase
Public Types inherited from MyGUI::ISubWidget
typedef RTTIBase | Base
typedef ISubWidget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions

virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
void | _setAlign (const IntSize &_oldsize) override
Public Member Functions inherited from MyGUI::SubSkin
template<typename Type>
bool | isType () const
| SubSkin ()
void | setAlpha (float _alpha) override
void | setVisible (bool _visible) override
void | setStateData (IStateInfo *_data) override
void | createDrawItem (ITexture *_texture, ILayerNode *_node) override
void | destroyDrawItem () override
void | doRender () override
void | _updateView () override
void | _correctView () override
void | _setAlign (const IntSize &_oldsize) override
void | _setUVSet (const FloatRect &_rect) override
void | _setColour (const Colour &_value) override
Public Member Functions inherited from MyGUI::ISubWidgetRect
template<typename Type>
bool | isType () const
Public Member Functions inherited from MyGUI::ISubWidget
template<typename Type>
bool | isType () const
virtual void | setAlign (Align _value)
virtual void | doManualRender (IVertexBuffer *, ITexture *, size_t)
Public Member Functions inherited from MyGUI::ICroppedRectangle
virtual | ~ICroppedRectangle ()=default
ICroppedRectangle * | getCroppedParent ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions

static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::SubSkin
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidgetRect
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidget
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Additional Inherited Members

Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Attributes inherited from MyGUI::SubSkin
FloatRect | mRectTexture
bool | mEmptyView {false}
VertexColourType | mVertexFormat
uint32 | mCurrentColour {0xFFFFFFFF}
FloatRect | mCurrentTexture
IntCoord | mCurrentCoord
ILayerNode * | mNode {nullptr}
RenderItem * | mRenderItem {nullptr}
bool | mSeparate {false}
Protected Attributes inherited from MyGUI::ISubWidget
Align | mAlign
bool | mVisible {true}
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin {false}
ICroppedRectangle * | mCroppedParent {nullptr}

## Detailed Description

Definition at line 16 of file MyGUI_MainSkin.h.

## Member Typedef Documentation

## Base

typedef RTTIBase MyGUI::MainSkin::Base

Definition at line 18 of file MyGUI_MainSkin.h.

## RTTIBase

typedef MainSkin MyGUI::MainSkin::RTTIBase

Definition at line 18 of file MyGUI_MainSkin.h.

## Member Function Documentation

## _setAlign()

void MyGUI::MainSkin::_setAlign | ( | const IntSize & | _oldsize | ) |

override virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 16 of file MyGUI_MainSkin.cpp.

## getClassTypeName()

std::string_view MyGUI::MainSkin::getClassTypeName | ( |  | ) |

inline static

Definition at line 18 of file MyGUI_MainSkin.h.

## getTypeName()

virtual std::string_view MyGUI::MainSkin::getTypeName | ( |  | ) | const

inline override virtual

Get type name as string

Reimplemented from MyGUI::SubSkin.

Definition at line 18 of file MyGUI_MainSkin.h.

## isType() [1/2]

template<typename Type>

bool MyGUI::MainSkin::isType | ( |  | ) | const

inline

Compare with selected type

Definition at line 18 of file MyGUI_MainSkin.h.

## isType() [2/2]

virtual bool MyGUI::MainSkin::isType | ( | const std::type_info & | _type | ) | const

inline override virtual

Compare with selected type

Reimplemented from MyGUI::SubSkin.

Definition at line 18 of file MyGUI_MainSkin.h.

The documentation for this class was generated from the following files:

- MyGUI_MainSkin.h
- MyGUI_MainSkin.cpp